Bug 54778 - gcc 2.96 errors on compile of kernel
Summary: gcc 2.96 errors on compile of kernel
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc
Version: 7.1
Hardware: ia64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-18 17:28 UTC by todd underwood
Modified: 2007-04-18 16:37 UTC (History)
0 users

(edit)
Clone Of:
(edit)
Last Closed: 2001-10-19 15:06:31 UTC


Attachments (Terms of Use)

Description todd underwood 2001-10-18 17:28:00 UTC
Description of Problem:

gcc stops when trying to compile scsi_ioctl.c in kernel's 2.4.7 2.4.11 2.4.12.

Version-Release number of selected component (if applicable):
gcc -v
Reading specs from /usr/lib/gcc-lib/ia64-redhat-linux/2.96/specs
gcc version 2.96 20000731 (Red Hat Linux 7.1 2.96-81)

How Reproducible:  completely

Steps to Reproduce:
1.  download one of the kernels above
2. patch with appropriate patches from kernel.org/pub/linux/kernel/ports/ia64
3.  make menuconfig and select some scsi options (we have scsi disk, scsi generic 
and the SCSI_QLOGIC_1280 drivers (either as module or as built-in).
4.  compile

Actual Results:
make -C scsi modules
make[2]: Entering directory 
`/home/jotto/Cplant/top.10-17/compute/OS/linux-patches/linux-2.4.7/linux/drivers/scsi'
gcc -D__KERNEL__ 
-I/home/jotto/Cplant/top.10-17/compute/OS/linux-patches/linux-2.4.7/linux/include 
-Wall -Wstrict-prototypes -Wno-trigraphs -g -O2 -fomit-frame-pointer 
-fno-strict-aliasing -fno-common -pipe  -ffixed-r13 -mfixed-range=f10-f15,f32-f127 
-falign-functions=32 -DMODULE   -c -o scsi_ioctl.o scsi_ioctl.c
scsi_ioctl.c: In function `scsi_ioctl_send_command':
scsi_ioctl.c:366: Internal compiler error in rws_access_regno, at 
config/ia64/ia64.c:3689
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[2]: *** [scsi_ioctl.o] Error 1


Expected Results:

compilation should work.

Additional Information:

Comment 1 Jakub Jelinek 2001-10-18 17:40:33 UTC
Please try gcc-2.96-98 or 2.96-99, it should be fixed there.

Comment 2 todd underwood 2001-10-19 15:06:27 UTC
2.96-99 does, indeed work.  thanks.


Note You need to log in before you can comment on or make changes to this bug.